* {box-sizing:border-box}
html{
  box-sizing: border-box;
}

h1, h2, h3{
  margin: 0;
}
a {
  color: rgb(0, 72, 255);
}
a:hover{
  color: purple;
  text-decoration: none;
  }
  nav{
    font-family: monospace;
    font-size: 80%;
    padding: 1rem;
}
nav [class *="fa-"] {
    font-size: 150%;
    color: rgb(0, 140, 255);
    display: block;
}
nav, h1, a{
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

}
nav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: left;
  gap: 2rem; 
}
nav li:first-child{
  flex-basis: 100%;
  text-align: center;
}
nav a{
  color: rgb(0, 0, 0);
  text-decoration: none;
  display: block;
}
nav a:hover{
  color: rgb(165, 42, 132);
}
nav [class *="fa-"]:hover{
  color: rgb(174, 38, 183);
}

.button{
  background-color: rgb(0, 217, 255);
  color: rgb(0, 0, 0);
  padding: 0.5rem;
  border-radius: 5px;
  font-family: monospace;
  text-decoration: none;

}
.button:hover{
  color: rgb(0, 0, 0);
  background-color: rgb(255, 42, 244);
}
.active, .dot:hover {
  background-color: #717171;
}


/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

/* Hide the images by default */
.mySlides {
  display: none;
  max-width: 1000px;
  margin: auto;
  padding: 10px;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {
  background-color: #717171;
}
#contact{
  width: 400px;
  text-align: center;
  margin: 0 auto;
  padding: 3rem 0;
} 
#contact p:last-child{
  margin: 3rem;
}


/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}


footer{
  text-align: center;
  padding: 2rem 0;
}
footer ul{
  list-style-type: none;
  padding: 0;
  margin: 0.1rem 0;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  gap: 3rem;
  font-size: 1rem;
  padding-top: 10px;
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}
@media (min-width: 850px) {
  nav{
   max-width: 1200px;
   margin: 0 auto;
}
nav li:first-child{
   flex-basis: auto;
   text-align: left;
   margin-right: auto;
} 